Find by details
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/etfs \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "Gold",
"countries": [
"US"
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/etfs"
payload = {
"query": "Gold",
"countries": ["US"]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'Gold', countries: ['US']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/etfs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "36CEB2",
"name": "Grayscale Bitcoin Trust ETF",
"country": "US",
"ticker": "GBTC",
"description": "Grayscale Bitcoin Trust ETF, formerly Grayscale Bitcoin Trust (BTC), is an open-ended trust that is invested exclusively in bitcoin. The trust was founded on September 13, 2013.",
"sector": "Financials",
"industry_group": "Nonequity Investment Instruments",
"industry": "Nonequity Investment Instruments",
"webpage": "http://grayscale.com/products/grayscale-bitcoin-trust/",
"favicon": "https://www.globalxetfs.com.au/favicon.ico",
"isin_values": [
"US3896371099"
],
"cusip_values": [
"389637109"
],
"sedol_values": [
"6605528"
],
"listing_values": [
"OTCM:GBTC"
]
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}ETFs
Find by details
Find exchange-traded funds through a comprehensive search. Search by name, ticker, or description and filter by country to discover relevant ETFs for your investment research.
POST
/
v1
/
knowledge-graph
/
etfs
Find by details
Authorizations
Body
application/json
Request body for finding ETFs. Each field is optional. However, you must provide at least one field to perform a valid search.
Response
200 - application/json
Successful response with ETF data
Was this page helpful?
⌘I